Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > Class Template Reference

`#include <Value_TypeCode_Static.h>`

Inheritance diagram for TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >:

[legend]
Collaboration diagram for TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >:

[legend]
List of all members.

## Public Member Functions
| Value (CORBA::TCKind kind, char const *id, char const *name, CORBA::ValueModifier modifier, CORBA::TypeCode_ptr const *concrete_base, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *fields, CORBA::ULong nfields)
| Constructor.
TAO-specific @c CORBA::TypeCode Methods
Methods required by TAO's implementation of the `CORBA::TypeCode` class. See also: `CORBA::TypeCode`
virtual bool | tao_marshal (TAO_OutputCDR &cdr, CORBA::ULong offset) const
| Marshal this `TypeCode` into a CDR output stream.
virtual void | tao_duplicate (void)
| Increase the reference count on this `TypeCode`.
virtual void | tao_release (void)
| Decrease the reference count on this object.
## Protected Member Functions
@c TAO CORBA::TypeCode Template Methods
`tk_value` or `tk_event` `CORBA::TypeCode` -specific template methods. See also: `CORBA::TypeCode`
virtual CORBA::Boolean | equal_i (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) const
virtual CORBA::Boolean | equivalent_i (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) const
virtual CORBA::TypeCode_ptr | get_compact_typecode_i (ACE_ENV_SINGLE_ARG_DECL) const
virtual char const * | id_i (ACE_ENV_SINGLE_ARG_DECL) const
virtual char const * | name_i (ACE_ENV_SINGLE_ARG_DECL) const
virtual CORBA::ULong | member_count_i (ACE_ENV_SINGLE_ARG_DECL) const
virtual char const * | member_name_i (CORBA::ULong index ACE_ENV_ARG_DECL) const
virtual CORBA::TypeCode_ptr | member_type_i (CORBA::ULong index ACE_ENV_ARG_DECL) const
virtual CORBA::Visibility | member_visibility_i (CORBA::ULong index ACE_ENV_ARG_DECL) const
virtual CORBA::ValueModifier | type_modifier_i (ACE_ENV_SINGLE_ARG_DECL) const
virtual CORBA::TypeCode_ptr | concrete_base_type_i (ACE_ENV_SINGLE_ARG_DECL) const
## Private Attributes
Base_Attributes< char const * > const | base_attributes_
CORBA::ValueModifier const | type_modifier_
CORBA::TypeCode_ptr const *const | concrete_base_
CORBA::ULong const | nfields_
| The number of fields in the OMG IDL value.
Value_Field< char const *, CORBA::TypeCode_ptr const * > const *const | fields_

### template<>
class TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >

## Member Function Documentation

virtual CORBA::TypeCode_ptr TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::concrete_base_type_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Reimplemented from CORBA::TypeCode.

virtual CORBA::Boolean TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::equal_i | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | const`[protected, virtual]`

virtual CORBA::Boolean TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::equivalent_i | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | const`[protected, virtual]`

virtual CORBA::TypeCode_ptr TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::get_compact_typecode_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Implements CORBA::TypeCode.

virtual char const* TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::id_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Reimplemented from CORBA::TypeCode.

virtual CORBA::ULong TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::member_count_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Reimplemented from CORBA::TypeCode.

virtual char const* TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::member_name_i | ( | CORBA::ULong index | ACE_ENV_ARG_DECL | ) | const`[protected, virtual]`

virtual CORBA::TypeCode_ptr TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::member_type_i | ( | CORBA::ULong index | ACE_ENV_ARG_DECL | ) | const`[protected, virtual]`

virtual CORBA::Visibility TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::member_visibility_i | ( | CORBA::ULong index | ACE_ENV_ARG_DECL | ) | const`[protected, virtual]`

virtual char const* TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::name_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Reimplemented from CORBA::TypeCode.

virtual void TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::tao_duplicate | ( | void |  | ) | `[virtual]`

| Increase the reference count on this `TypeCode`. Implements CORBA::TypeCode.

virtual bool TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::tao_marshal | ( | TAO_OutputCDR & | cdr,
|  | CORBA::ULong | offset
| ) | const`[virtual]`

  | Marshal this `TypeCode` into a CDR output stream. Marshal this `TypeCode` into the cdr output CDR stream, excluding the `TypeCode` kind. Existing cdr contents will not be altered. The marshaled `TypeCode` will be appended to the given cdr CDR output stream. Parameters:
  | cdr | Output CDR stream into which the `TypeCode` will be marshaled.
  | offset | Number of bytes currently in the output CDR stream, including the top-level TypeCode `TCKind`. This argument is useful for recursive `TypeCodes`. `TypeCodes` that contain other `TypeCodes` should pass an updated offset value to the marshaling operation for those contained `TypeCodes`.
Returns: `true` if marshaling was successful. Note: This is a TAO-specific method that is not part of the standard `CORBA::TypeCode` interface. If this method returns , the contents of the cdr output CDR stream are undefined. Implements CORBA::TypeCode.

virtual void TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::tao_release | ( | void |  | ) | `[virtual]`

| Decrease the reference count on this object. Implements CORBA::TypeCode.

virtual CORBA::ValueModifier TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::type_modifier_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Reimplemented from CORBA::TypeCode.

TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::Value | ( | CORBA::TCKind | kind,
|  | char const * | id,
|  | char const * | name,
|  | CORBA::ValueModifier | modifier,
|  | CORBA::TypeCode_ptr const * | concrete_base,
|  | Value_Field< char const *, CORBA::TypeCode_ptr const * > const * | fields,
|  | CORBA::ULong | nfields
| ) |

| Constructor.

## Member Data Documentation

Base_Attributes<char const *> const TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::base_attributes_`[private]`

| Base attributes containing repository ID and name of `valuetype`.

CORBA::TypeCode_ptr const* const TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::concrete_base_`[private]`

| The `TypeCode` corresponding to the concrete base `valuetype` or `eventtype`.

Value_Field<char const *, CORBA::TypeCode_ptr const *> const* const TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::fields_`[private]`

| Array of `TAO::TypeCode` fields representing structure of the OMG IDL defined `value`.

CORBA::ULong const TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::nfields_`[private]`

| The number of fields in the OMG IDL value.

CORBA::ValueModifier const TAO::TypeCode::Value< char const *, CORBA::TypeCode_ptr const *, Value_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy >::type_modifier_`[private]`

| The `ValueModifier` of the `valuetype` of `eventtype` represented by this `TypeCode`.

The documentation for this class was generated from the following file:

- Value_TypeCode_Static.h